package com.jsowell.common.enums.ykc;

public enum ReturnCodeEnum {
	/**
	 * 成功
	 */
	CODE_SUCCESS("00100000", "操作成功"),

	CODE_TOKEN_ERROR("00100002", "身份验证失败，请重新登录"),

	CODE_PARAM_NOT_NULL_ERROR("00100003", "参数不能为空"),

	CODE_VERIFICATION_CODE_ERROR("00100004", "验证码错误"),

	CODE_VERIFICATION_CODE_TIMEOUT_ERROR("00100005", "验证码超时"),

	CODE_SEND_SMS_ERROR("00100006", "发送短信验证码错误"),

	CODE_MEMBER_REGISTER_AND_LOGIN_ERROR("00100007", "会员登录注册接口异常"),

	CODE_WECHAT_LOGIN_ERROR("00100008", "微信登录异常"),

	CODE_GET_MEMBER_PHONE_NUMBER_ERROR("00100009", "获取用户手机号异常"),

	CODE_HANDLE_USER_INFO_ERROR("00100010", "处理用户信息异常"),

	CODE_GET_PILE_STATION_INFO_ERROR("00100011", "查询充电站信息列表异常"),

	CODE_GET_CONNECTOR_INFO_BY_STATION_ID_ERROR("00100012", "通过站点id查询充电枪口列表异常"),

	CODE_PILE_CONNECTOR_STATUS_ERROR("00100013", "该枪口状态不正确"),

	CODE_GENERATE_ORDER_ERROR("00100014", "生成订单失败"),

	CODE_CONNECTOR_INFO_NULL_ERROR("00100015", "充电枪口为空"),

	CODE_BILLING_TEMPLATE_NULL_ERROR("00100016", "查询充电桩的计费模板为空"),

	CODE_DATA_LENGTH_ERROR("00100017", "数据长度不正确"),

	CODE_SETTLE_ORDER_ERROR("00100018", "订单结算异常"),

	CODE_ORDER_INFO_ERROR("00100019", "订单信息有误"),

	CODE_QUERY_ORDER_NULL_ERROR("00100020", "查询订单为空"),

	CODE_ORDER_PILE_MAPPING_ERROR("00100021", "订单与当前桩不匹配"),

	CODE_GET_MEMBER_ACCOUNT_AMOUNT_ERROR("00100022", "查询用户账户总余额异常"),

	CODE_BALANCE_IS_INSUFFICIENT("00100023", "账户余额不足"),

	CODE_GET_MOBILE_NUMBER_BY_CODE_ERROR("00100024", "获取微信登录手机号失败"),

	CODE_GET_ORDER_INFO_BY_MEMBER_ID_ERROR("00100025", "通过会员Id查询某状态订单失败"),

	CODE_GET_OPEN_ID_BY_CODE_ERROR("00100026", "获取openid失败"),

	CODE_GET_WECHAT_PAY_PARAMETER_ERROR("00100027", "获取微信支付参数失败"),

	CODE_GET_BALANCE_CHANGES_ERROR("00100028", "查询用户账户余额变动信息异常"),

	CODE_ORDER_PAY_ERROR("00100029", "订单支付失败"),

	CODE_ORDER_PAY_CALLBACK_ERROR("00100030", "支付回调失败"),

	CODE_ORDER_IS_NOT_TO_BE_PAID_ERROR("00100031", "订单不是待支付状态"),

	CODE_ORDER_MEMBER_NOT_MATCH_ERROR("00100032", "订单与会员信息不匹配"),

	CODE_STOP_CHARGING_ERROR("00100033", "停止充电失败"),

	CODE_ORDER_IS_NOT_STAY_SETTLEMENT_ERROR("00100034", "订单不是待结算状态"),

	CODE_GET_PILE_DETAIL_ERROR("00100035", "查询充电桩详情失败"),

	CODE_WEIXIN_REFUND_ERROR("00100036", "微信退款接口失败"),

	CODE_REFUND_ORDER_AMOUNT_ERROR("00100037", "订单退款金额不能大于可退金额"),

	CODE_REFUND_ORDER_CALLBACK_RECORD_ERROR("00100038", "订单退款处理逻辑, 查询订单微信支付记录为空!"),

	CODE_SELECT_MEMBER_NULL_ERROR("00100039", "没有查询到会员信息"),

	CODE_REFUND_MEMBER_BALANCE_ERROR("00100040", "退款金额不能大于本金金额"),

	CODE_GET_ORDER_DETAIL_ERROR("00100041", "小程序获取订单详情失败"),

	CODE_SELECT_PILE_STARTER_STATUS("00100042", "根据订单号查询充电桩启动状态失败"),

	CODE_GET_PAY_MODE("00100043", "获取支付方式失败"),

	CODE_GET_MERCHANT_ID_BY_APP_ID_ERROR("00100044", "获取商户id失败"),

	CODE_STATION_IS_NOT_OPEN("00100045", "该站点暂未营业"),

	CODE_MEMBER_RECHARGE_BALANCE_ERROR("00100046", "会员充值余额失败"),

	/* 个人桩 start */

	CODE_PILE_HAS_BEEN_BINDING_ERROR("00400001", "此桩已被绑定，请联系管理员！"),

	CODE_AUTHENTICATION_ERROR("00400002", "您的身份信息验证有误，请重试！"),

	CODE_USER_IS_NOT_REGISTER("00400003", "此用户未注册平台账号，请核实身份！"),

	CODE_USER_HAS_BEEN_THIS_PILE("00400004", "此用户已绑定该桩，请检查！"),

	CODE_NO_CHARGING_ORDER_ERROR("00400005", "当前无正在充电的订单"),

	CODE_NO_REAL_TIME_INFO("00400006", "未查到充电枪口实时信息"),

	CODE_BINDING_PERSONAL_PILE_ERROR("00400007", "获取个人桩枪口实时数据异常"),

	CODE_ADMIN_ISSUE_ERROR("00400008", "桩管理员下发个人桩异常"),

	CODE_GET_PERSONAL_PILE_BY_MEMBER_ID_ERROR("00400009", "通过memberId查个人桩列表异常"),

	CODE_GET_PERSONAL_PILE_CONNECTOR_INFO_ERROR("00400010", "获取个人桩枪口实时数据异常"),

	/* 个人桩 end */

	CODE_THIS_CARNO_HAS_BEEN_BINDING("00500001", "当前车牌号已经绑定，请检查！"),

	CODE_USER_BINDING_CARNO_ERROR("00500002", "用户绑定车牌号异常"),

	CODE_USER_UNBIND_CARNO_ERROR("00500003", "用户解绑车牌号异常"),

	CODE_QUERY_ORDER_INFO_IS_NULL("00400011", "未查到相关订单信息！"),

	CODE_PILE_NOT_INFO("00400012", "未查到该该桩的信息，请检查！"),

	CODE_SECRET_KEY_ERROR("00400013", "填写的桩密钥有误，请检查！"),

	CODE_THIS_PILE_NOT_PERSONAL_PILE("00400014", "此桩不是个人桩！"),

	CODE_THIS_CARD_HAS_NO_INFO("00600001", "未查到此卡信息！"),

	CODE_THIS_CARD_NOT_BIND_USER("00600002", "此卡未绑定用户！"),

	CODE_THIS_CARD_HAS_BEEN_BINDING("00600003", "此卡已被绑定！"),

	CODE_SECRET_KEY_NOT_SAME("00600004", "密钥错误，请检查！"),

	CODE_THIS_CARD_STATUS_ANOMALY("00600005", "卡状态异常!"),

	CODE_THIS_CARD_BIND_INFO_ERROR("00600006", "卡绑定信息有误!"),

	CODE_SELECT_INFO_IS_NULL("00700001", "查询信息为空！"),

	CODE_THIS_VIN_HAS_BEEN_BINDING("00700002", "该vin已被绑定，请检查!"),
	;

	private String value;

	private String label;

	private ReturnCodeEnum(String value, String label) {
		this.value = value;
		this.label = label;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}
}
